Skip to main content
POST
/
v1
/
quote
curl --request POST \ --url https://api.roissingue.com/v1/quote \ --header 'Content-Type: application/json' \ --data ' { "fromToken": { "chainId": 8453, "address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "amount": "100000000" }, "toToken": { "slug": "circle-usd" }, "feeToken": { "chainId": 8453, "address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913" }, "fromAddress": "0x6eBf2153f931334714984c7F5a8E574207927Cc7", "toAddress": "0x6eBf2153f931334714984c7F5a8E574207927Cc7", "slippage": 0.01 } '
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.roissingue.com/llms.txt

Use this file to discover all available pages before exploring further.

Body

application/json
fromToken
TokenQuoteWithAmount · object
required
toToken
TokenQuote · object
required
feeToken
TokenQuote · object
required
fromAddress
string
required
toAddress
string
required
slippage
number
default:0.05
Required range: 0 <= x <= 1
mode
string
default:eoa
allowChains
integer[]
denyChains
integer[]
allowSwapProviders
string[]
denySwapProviders
string[]
allowBridgeProviders
string[]
denyBridgeProviders
string[]

Response

Successful Response